> ## Documentation Index
> Fetch the complete documentation index at: https://signatureapi-daf4ee54.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Resend request

> Resends a signing request to the recipient.

Resends the signing request to a recipient who has not yet completed their ceremony.

Use this endpoint to:

* **Send reminders.** If a recipient has not signed, resend the invitation as a reminder.
* **Retry after a soft bounce.** If the invitation email was temporarily undeliverable, resend to try again.
* **Re-deliver a lost email.** If a recipient reports not receiving the invitation, resend it.

The resend is rate-limited to prevent email spam. The response includes `can_resend_at`, which tells you when the next resend can be initiated. The wait period increases with each attempt:

| Attempts | Wait period             |
| -------- | ----------------------- |
| 1-3      | 15 minutes              |
| 4-6      | 1 hour                  |
| 7-10     | 24 hours                |
| Over 10  | No more resends allowed |

<Note>The request can only be resent if the recipient's status is `sent` or `soft_bounced`, and the envelope status is `in_progress`.</Note>

### Path Parameters

<ParamField path="recipient_id" type="string" required={true}>
  The unique identifier of the recipient. Recipient IDs use the `re_` prefix.
</ParamField>

### Returns

Returns a `200 OK` status code along with the following property:

<ResponseField name="can_resend_at" type="datetime">
  Time after which the next resend can be initiated, in
  <Tooltip tip="For example: 2025-12-31T23:59:59.999Z">ISO 8601</Tooltip> format.
</ResponseField>

<RequestExample>
  ```json Request theme={null}
  // POST https://api.signatureapi.com/v1/recipients/{recipient_id}/resend
  // X-API-Key: key_test_...
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  // HTTP Status 200

  {
    "can_resend_at": "2025-12-31T22:00:00.000Z"
  }
  ```
</ResponseExample>
